Skip to main content
PUT
Replace a person's direct grants

Authorizations

X-Auth-Token
string
header
required

FlowPayroll JWT (raw token, no Bearer prefix)

Path Parameters

principalId
string
required

Body

application/json

Replaces the whole set of organisations a person holds a direct grant on. Does not affect account-wide access.

organisationIds
string[] | null

The complete set of organisations they hold a direct grant on afterwards.

Response

OK

message
object
content
object
validationIssues
object[] | null